EulerOS Virtualization 2.5.1 : procps-ng (EulerOS-SA-2018-1274)

High Nessus Plugin ID 117583

Synopsis

The remote EulerOS Virtualization host is missing multiple security updates.

Description

According to the versions of the procps-ng package installed, the EulerOS Virtualization installation on the remote host is affected by the following vulnerabilities :

- procps-ng, procps: Integer overflows leading to heap overflow in file2strvec.(CVE-2018-1124)

- procps-ng, procps: incorrect integer size in proc/alloc.* leading to truncation / integer overflow issues.(CVE-2018-1126)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected procps-ng packages.

See Also

http://www.nessus.org/u?c24d32d9

Plugin Details

Severity: High

ID: 117583

File Name: EulerOS_SA-2018-1274.nasl

Version: 1.6

Type: local

Published: 2018/09/18

Updated: 2019/06/28

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:procps-ng, cpe:/o:huawei:euleros:uvp:2.5.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/uvp_version

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2018/07/28

Reference Information

CVE: CVE-2018-1124, CVE-2018-1126